Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.ComponentHandler

    java.lang.Object
      |
      +--java.awt.event.ComponentAdapter
            |
            +--javax.swing.plaf.basic.BasicTreeUI.ComponentHandler

public class BasicTreeUI.ComponentHandler
extends java.awt.event.ComponentAdapter
implements java.awt.event.ActionListener

Updates the preferred size when scrolling (if necessary).

Field Summary
`protected JScrollBar` | `scrollBar` ScrollBar that is being adjusted.
`protected Timer` | `timer` Timer used when inside a scrollpane and the scrollbar is adjusting.

Constructor Summary
`BasicTreeUI.ComponentHandler()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)` Public as a result of Timer.
`void` | `componentMoved(java.awt.event.ComponentEvent e)`
`protected JScrollPane` | `getScrollPane()` Returns the JScrollPane housing the JTree, or null if one isn't found.
`protected void` | `startTimer()` Creates, if necessary, and starts a Timer to check if need to resize the bounds.

Methods inherited from class java.awt.event.ComponentAdapter
`componentHidden, componentResized, componentShown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### timer

    protected Timer timer

  Timer used when inside a scrollpane and the scrollbar is adjusting.

### scrollBar

    protected JScrollBar scrollBar

  ScrollBar that is being adjusted.

Constructor Detail

### BasicTreeUI.ComponentHandler

    public BasicTreeUI.ComponentHandler()

Method Detail

### componentMoved

    public void componentMoved(java.awt.event.ComponentEvent e)

  Overrides:
    componentMoved in class java.awt.event.ComponentAdapter

### startTimer

    protected void startTimer()

  Creates, if necessary, and starts a Timer to check if need to resize the bounds.

### getScrollPane

    protected JScrollPane getScrollPane()

  Returns the JScrollPane housing the JTree, or null if one isn't found.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Public as a result of Timer. If the scrollBar is null, or not adjusting, this stops the timer and updates the sizing.
  Specified by:
    actionPerformed in interface java.awt.event.ActionListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.